com.r3corda.contracts / CrowdFund / State

# State

`data class State : ContractState`

### Constructors

<init> | `State(campaign: Campaign, notary: Party, closed: Boolean = false, pledges: List<Pledge> = ArrayList())`

### Properties

campaign | `val campaign: Campaign`
closed | `val closed: Boolean`
contract | `val contract: CrowdFund` Contract by which the state belongs
notary | `val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once
pledgedAmount | `val pledgedAmount: Amount`
pledges | `val pledges: List<Pledge>`